# Filters added to this controller will be run for all controllers in the application.
# Likewise, all the methods added will be available for all controllers.

class ApplicationController < ActionController::Base
  include AuthenticatedSystem
  helper :user
  require_dependency "user"
  before_filter :add_stylesheets
   
  def initialize
    @stylesheets = []
  end
            
  def add_stylesheets
    file = "#{Dir.pwd}/public/stylesheets/#{controller_name}.css"
    if File.exists? file
      @stylesheets << controller_name
    end
  end

end
